RKWARD(1)

NOM
rkward - Un frontal del KDE pel R

SINOPSI

rkward [--evaluate codiR] [--debug-level nivell] [--debug-flags etiquetes] [--debug-output on] [--backend-debugger ordre_de_depuració] [--r-executable camí_a_executable] [--reuse] [--autoreuse] [--nowarn-external] [Opcions genèriques del KDE] [Opcions genèriques de les Qt] [fitxers_a_obrir]

DESCRIPCIÓ

El RKWard és una IGU basada en el KDE i una IDE per al llenguatge de creació de scripts en R per al càlcul estadístic.

Per a obtenir més informació, consulteu al lloc web del RKWard[1] i a la documentació inclosa amb el RKWard.

OPCIONS

--evaluate codiR
    El codi R indicat s'avaluarà una vegada s'hagi iniciat el RKWard, i després de carregar qualsevol espai de treball especificat. Molt útil per a proves automatitzades.

--debug-level nivell
    El detall de la sortida de depuració. 0-5, on 0 és sense sortida, 5 és tota la sortida, inclosa la informació de seguiment de la funció. El valor per omissió és 2.

--debug-output on
    On enviar la sortida de depuració. El valor predeterminat és desar-la en un fitxer del directori temporal. Si especifiqueu «terminal», s'escriurà a stderr (sortida d'error estàndard), útil per a depurar problemes durant l'inici. Tingueu en compte que la sortida de depuració d'un procés des del dorsal sempre s'emmagatzemarà en un fitxer.

--debug-flags etiquetes
    Configura quines seccions de codi es depuraran. Les etiquetes es donen com a nombre binari. Consulteu els fitxers font per a la documentació, ja que en realitat, aquesta és una opció interna.

--backend-debugger ordre
    Executa el dorsal del RKWard a través de l'ordre de depuració especificada. Per a afegir opcions de la línia d'ordres a l'ordre del depurador, incloeu-les entre cometes simples ('') juntament amb l'ordre. NOTA: Els arguments del depurador estaran separats per espais. Si això no és apropiat, haureu d'escriure el vostre propi script d'embolcall per a cridar el depurador. A més, assegureu-vos de redirigir tota la sortida del depurador i/o l'entrada, segons correspongui. Vegeu els exemples.

--r-executable ordre
    En el cas de diverses instal⋅lacions de l'R, especifiqueu la instal⋅lació que voleu utilitzar, p. ex., /usr/bin/R. També podeu utilitzar la cadena «auto», en aquest cas el RKWard intentarà trobar l'R en un dels camins d'instal⋅lació estàndard coneguts. TINGUEU EN COMPTE QUE, si bé el RKWard sovint funcionarà amb les versions més noves de l'R, de vegades haureu de tornar a compilar per a aquesta versió, o podria ser totalment incompatible.

    Aquesta opció canvia la instal⋅lació de l'R només per a la sessió actual, no de manera persistent.

--reuse
    Si ja s'està executant una instància del RKWard, porteu-la al capdavant i obriu els fitxers_a_obrir. Tingueu en compte que totes les altres opcions de la línia d'ordres seran ignorades en cas que es reutilitzi una instància.

--autoreuse
    Es comporta com --reuse, si s'indica cap argument de fitxer, en cas contrari s'inicia una instància nova. Destinada a utilitzar-se en el fitxer «.desktop».

--nowarn-external
    Normalment, quan s'invoquen els connectors del RKWard des de la línia d'ordres (és a dir, quan fitxers_a_obrir conté els URL del formulari rkward://connector_a_executar/...), el RKWard mostrarà un avís que aquests URL es podrien utilitzar per a desencadenar accions malicioses al vostre sistema. Aquest avís s'aplica específicament als enllaços que es troben en llocs web no confiables o d'altres fonts externes que no siguin de confiança. Si voleu executar localment un script del RKWard, podeu fer cas omís a aquest avís afegint --nowarn-extern a la línia d'ordres.

    (Si s'usa en combinació amb --reuse, llavors les *dues* ordres en qüestió cal que s'invoquin amb --nowarn-external, per tal d'evitar l'avís.)

--setup
    Actua com si s'hagués instal⋅lat una versió nova del RKWard, reinstal⋅lant el paquet de suport de l'R, i mostrant l'assistent de configuració. Aquesta característica és dirigida principalment a desenvolupadors i provadors.

--quirkmode
    Desactiva algun codi de validació a l'inici. Opció experimental, no està destinada a un ús normal.

fitxers_a_obrir
    Podeu especificar qualsevol nombre de fitxers o URL per a obrir-los al RKWard. Normalment, aquests seran fitxers de l'espai de treball, fitxers del lloc de treball, fitxers de script de l'R o URL com rkward:// (p. ex., per a començar amb un diàleg de connector). Si especifiqueu més d'un fitxer de l'espai de treball, els espais de treball es fusionaran i no es recomana.

VEGEU TAMBÉ

R(1)

EXEMPLES

    # S'inicia amb el diàleg de la prova t
    rkward --nowarn-external rkward://runplugin/rkward::t_test/
    # Obre dos fitxers de script en una instància en execució del RKWard (o en una instància nova, si el RKWard no s'està executant)
    rkward --reuse file_a.R file_b.R
    # Executa el dorsal del RKWard a través de «valgrind»
    rkward --backend-debugger 'valgrind --log-file=valgrind.log'

AUTORS

El RKWard ha estat escrit per en Thomas Friedrichsmeier i l'equip del RKWard. Vegeu el lloc web del RKWard[1].

AUTOR

Friedrichsmeier, Thomas <rkward@kde.org>
    Pàgina «man» del RKWard.

NOTES

1.  lloc web del RKWard
    https://rkward.kde.org/